Vla-getrelativedraworder
- 構文
- (vla-getrelativedraworder vla-object Objects honorSortentsSysvar)
- 機能
- 指定したオブジェクトを、表示順序の下から順に返す。
- 引数
-
- vla-object … VLAオブジェクト
- Objects … 描画順にソートされたオブジェクトの配列。
- honorSortentsSysvar … ブール型
- :vlax-True: システム変数 DRAWORDERCTL の設定を使用する。
- :vlax-False: 設定は無視される。
- 戻り値
- nil
- サンプル
(defun c:sample_getrelativedraworder () (setq *ActDoc* (vla-get-ActiveDocument (vlax-get-Acad-Object))) (setq dict (vla-getextensiondictionary (vla-get-modelspace *actdoc*))) (setq obj (vla-getobject dict "ACAD_SORTENTS")) (setq temp (mapcar '(lambda (x) (vlax-ename->vla-object (car x))) (list (entsel) (entsel)))) (setq temp (vlax-safearray-fill (vlax-make-safearray vlaxobject '(0 . 1)) temp)) (vla-getrelativedraworder obj temp :vlax-true) (vla-Regen *actdoc* acAllViewports) (setq temp (mapcar '(lambda (x) (vlax-ename->vla-object (car x))) (list (entsel) (entsel)))) (setq temp (vlax-safearray-fill (vlax-make-safearray vlaxobject '(0 . 1)) temp)) (vla-setrelativedraworder obj temp) (vla-getrelativedraworder obj temp :vlax-true) (vla-Regen *actdoc* acAllViewports) )
関連事項